Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

6. Install GCC 2.9 Compat libraries

6.1. Install GCC 2.96 Compat packages

From Fedora Core TWO:

  • compat-libstdc++-7.3-2.96.126.i386.rpm

  • compat-libstdc++-devel-7.3-2.96.126.i386.rpm

  • compat-gcc-7.3-2.96.126.i386.rpm

  • compat-gcc-c++-7.3-2.96.126.i386.rpm

Caution Don't overwrite existing packages
 

Make sure that you keep your existing GCC installation, or a large part of your software will not work or can not be compiled any more. In case these packages are already installed on your system with newer version numbers, use rpm -i --force to install the older ones next to the newer ones.

From the Fedora Core THREE subtree, get the compat-db package.

If you don't install GCC compat libraries as above you get a zillion linking errors.

6.2. Create symbolic links

Put gcc296 and g++296 first in your $PATH variable by creating the following symbolic links:


# mv /usr/bin/gcc /usr/bin/gcc323
# mv /usr/bin/g++ /usr/bin/g++323
# ln -s /usr/bin/gcc296 /usr/bin/gcc
# ln -s /usr/bin/g++296 /usr/bin/g++

Note that should you already have upgraded your system, GCC versions might be different.